org.opengis.cite.ogcapifeatures10.util

## Class GeometryTransformer

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.util.GeometryTransformer

-     public class GeometryTransformer
      extends Object

  Author:
    Lyn Goltz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeometryTransformer(CoordinateSystem srcCrs, CoordinateSystem targetCrs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BBox` | `transform(BBox bbox)`
    `org.locationtech.jts.geom.Geometry` | `transform(org.locationtech.jts.geom.Geometry geometryToTransform)`
    `org.locationtech.jts.geom.Geometry` | `transform(org.locationtech.jts.geom.GeometryCollection geometryToTransform)`
    `org.locationtech.jts.geom.LineString` | `transform(org.locationtech.jts.geom.LineString geometryToTransform)`
    `org.locationtech.jts.geom.MultiLineString` | `transform(org.locationtech.jts.geom.MultiLineString geometryToTransform)`
    `org.locationtech.jts.geom.MultiPoint` | `transform(org.locationtech.jts.geom.MultiPoint geometryToTransform)`
    `org.locationtech.jts.geom.MultiPolygon` | `transform(org.locationtech.jts.geom.MultiPolygon geometryToTransform)`
    `org.locationtech.jts.geom.Point` | `transform(org.locationtech.jts.geom.Point geometryToTransform)`
    `org.locationtech.jts.geom.Polygon` | `transform(org.locationtech.jts.geom.Polygon geometryToTransform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeometryTransformer

          public GeometryTransformer(CoordinateSystem srcCrs,
                                     CoordinateSystem targetCrs)

      Parameters:
        `srcCrs` - source crs, , never `null`
        `targetCrs` - target crs, , never `null`

  - ### Method Detail

    - #### transform

          public BBox transform(BBox bbox)

      Parameters:
        `bbox` - the bbox to transform, never `null`
      Returns:
        the transformed bbox (or the same if srcCrs and targetCrs) are the same, never `null`

    - #### transform

          public org.locationtech.jts.geom.Geometry transform(org.locationtech.jts.geom.Geometry geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.Point transform(org.locationtech.jts.geom.Point geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.LineString transform(org.locationtech.jts.geom.LineString geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.Polygon transform(org.locationtech.jts.geom.Polygon geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.Geometry transform(org.locationtech.jts.geom.GeometryCollection geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.MultiPoint transform(org.locationtech.jts.geom.MultiPoint geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.MultiLineString transform(org.locationtech.jts.geom.MultiLineString geometryToTransform)

    - #### transform

          public org.locationtech.jts.geom.MultiPolygon transform(org.locationtech.jts.geom.MultiPolygon geometryToTransform)

Copyright © 2022 Open Geospatial Consortium. All rights reserved.